events.listen('recipes', (event) => {
	
    var recipes = [
        shapelessRecipe('kubejs:unstable_endershard', ['druidcraft:moonstone', 'charm:endermite_powder', ['mysticalworld:young_pearl', 'forbidden_arcanus:ender_pearl_fragment'], 'druidcraft:amber']),
		
		shapelessRecipe('cyclic:ender_pearl_mounted', ['cyclic:ender_pearl_reuse', 'minecraft:saddle']),
		shapelessRecipe('cyclic:apple_chocolate', ['cyclic:apple_honey', 'create:bar_of_chocolate', 'pamhc2foodcore:freshmilkitem']),
		
		shapelessRecipe('industrialforegoing:plastic', ['pneumaticcraft:plastic', 'pneumaticcraft:plastic', 'pneumaticcraft:plastic']),
		
		shapelessRecipe('eidolon:pewter_blend', ['#forge:ingots/quicksilver', '#forge:ingots/lead']),
		
		shapelessRecipe('resourcefulbees:wax', 'charm:beeswax'),
		
		shapelessRecipe('minecraft:chest', '#forge:chests/wooden'),
		
		shapelessRecipe('minecraft:barrel', [['#forge:barrels/wooden', '#charm:barrels']]),
		
		shapelessRecipe(Item.of('upgrade_aquatic:driftwood_planks', 4), 'aquaculture:driftwood'),
		
		shapelessRecipe('mysticalworld:nautilus_horn', ['minecraft:flint', 'minecraft:nautilus_shell']),
		
		shapelessRecipe('charm:candle', ['resourcefulbees:wax', '#forge:string']),
		
		shapelessRecipe('ironfurnaces:rainbow_coal', ['kubejs:uninspiring_rainbow_chunk', 'immersiveengineering:coal_coke']),
		
		shapelessRecipe(Item.of('pamhc2foodcore:saltitem', 4), 'gaiadimension:salt'),
		
		//silt
		shapelessRecipe('bountifulbaubles:spectral_silt', ['bountifulbaubles:disintegration_tablet', ['#artifacts:artifacts', 'kubejs:claw', 'bountifulbaubles:bezoar', '/statues:.+_statue/']]),
		
		//i&f ingot converter
		shapelessRecipe('mysticalworld:copper_ingot', 'iceandfire:copper_ingot'),
		shapelessRecipe('mysticalworld:copper_nugget', 'iceandfire:copper_nugget'),
		
		shapelessRecipe('mysticalworld:silver_ingot', 'iceandfire:silver_ingot'),
		shapelessRecipe('mysticalworld:silver_nugget', 'iceandfire:silver_nugget')
    ];

    recipes.forEach(function (recipe) {
        event.shapeless(recipe.result, recipe.ingredients);
    });
});
